KABC::SortingTraits Namespace Reference

## Detailed Description

Each trait must implement one static function for equality, one for "less than".

Class name should be the field name. A trait does not necessarily have to stick to just one field: a trait sorting by family name can e.g. sort addressees with equal family name by given name.

If you want to implement reverse sorting, you do not have to write another trait, as AddresseeList takes care of that.

KDE Home | KDE Accessibility Home | Description of Access Keys